# Contributing to moco
We want to make contributing to this project as easy and transparent as
possible.

## Pull Requests
We actively welcome your pull requests.
But note that this is a research project for reproducing results in a paper,
we may not accept PRs adding new features if they do not align with the goal of reproducing
results in the paper.

If you haven't already, complete the Contributor License Agreement ("CLA") before sending a pull
request.

## Contributor License Agreement ("CLA")
In order to accept your pull request, we need you to submit a CLA. You only need
to do this once to work on any of Facebook's open source projects.

Complete your CLA here: <https://code.facebook.com/cla>

## Issues
We use GitHub issues to track public bugs. Please ensure your description is
clear and has sufficient instructions to be able to reproduce the issue.

Facebook has a [bounty program](https://www.facebook.com/whitehat/) for the safe
disclosure of security bugs. In those cases, please go through the process
outlined on that page and do not file a public issue.

## License
By contributing to moco, you agree that your contributions will be licensed
under the LICENSE file in the root directory of this source tree.
